blk_queue_max_sectors
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_max_sectors — set max sectors for a request for this queue

## Synopsis

`void blk_queue_max_sectors (` | struct request_queue * | q,
| unsigned int | max_sectors`)`;

## Arguments

`q`

  the request queue for the device

`max_sectors`

  max sectors in the usual 512b unit

## Description

Enables a low level driver to set an upper limit on the size of received requests.

Prev | Up | Next
blk_queue_bounce_limit | Home | blk_queue_max_phys_segments